Bug 501935 - qemu-kvm -kernel should parse "vga=" cmdline option
qemu-kvm -kernel should parse "vga=" cmdline option
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Justin M. Forbes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12VirtTarget
  Show dependency treegraph
 
Reported: 2009-05-21 08:24 EDT by Daire Byrne
Modified: 2011-06-27 10:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:12:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daire Byrne 2009-05-21 08:24:18 EDT
Description of problem:
When booting with -kernel the vga=0x318 (say) parameter is not being used. I'm not sure if this applies to other kernel parameters too. If I boot using a PXE rom and pxelinux with the same kernel parameters the VM boots and sets the correct VESA resolution.

This is also the case in Fedora 10.

Version-Release number of selected component (if applicable):
[root@sys422 ~]# rpm -qa | grep qemu
qemu-system-x86-0.10.4-3.fc11.x86_64
qemu-img-0.10.4-3.fc11.x86_64
qemu-common-0.10.4-3.fc11.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. In a libvirt XML add "vga=0x318" to the cmdline
2.
3.
  
Actual results:
Resolution is not changed. Plymouth does not work (uses details.so instead).

Expected results:
As when booting from pxelinux the VESA resolution and colours should be changed.

Additional info:
Comment 1 Glauber Costa 2009-05-21 09:50:16 EDT
How do you know the parameter is ignored?

We're currently facing regressions with vgabios, so this might be that the kernel
_is_ parsing the argument correctly, but vgabios is broken and can't change that.

If you really think arguments are ignored (i.e., other kinds of arguments are not working), then please provide more info.

Otherwise, this is a duplicate of #499060
Comment 2 Daire Byrne 2009-05-21 10:13:03 EDT
(In reply to comment #1)
> How do you know the parameter is ignored?

The console screen resolution is not changed to 1024x768 (vga=0x318) once the kernel begins.

> We're currently facing regressions with vgabios, so this might be that the
> kernel
> _is_ parsing the argument correctly, but vgabios is broken and can't change
> that.

Okay. Could be related.

> If you really think arguments are ignored (i.e., other kinds of arguments are
> not working), then please provide more info.
> 
> Otherwise, this is a duplicate of #499060  

Maybe. Just to be clear, the vga kernel option works in a VM when the kernel and initrd are started from a PXE boot using pxelinux (and the virtio-net.rom). So the vgabios  works as expected in that case. However when booting using -kernel/-intrd/cmdline the same option has no effect.
Comment 3 Mark McLoughlin 2009-05-21 14:02:47 EDT
Daire: what does /proc/cmdline contain in the guest? does it have vga=0x318?
Comment 4 Daire Byrne 2009-05-21 14:55:33 EDT
(In reply to comment #3)
> Daire: what does /proc/cmdline contain in the guest? does it have vga=0x318?  

Yes. For both the direct (-kernel) and PXE boot cases the kernel reports that /proc/cmdline contains vga=0x318.

It seems that using -kernel in qemu is not very well tested by the community at large as I keep finding these odd characteristics.
Comment 5 Mark McLoughlin 2009-05-25 07:47:16 EDT
Ah, beautiful.

vga= is implemented by the bootloader, not the kernel itself. Both grub and syslinux parse the param and passes it via the vid_mode kernel header field.

Putting on F12VirtTarget, we're unlikely to implement this in an F-11 update.
Comment 6 Mark McLoughlin 2009-05-26 10:25:02 EDT
Freaky, someone just posted an implementation to qemu-devel:

http://lists.gnu.org/archive/html/qemu-devel/2009-05/msg01277.html
Comment 7 Daire Byrne 2009-05-29 07:04:15 EDT
(In reply to comment #6)
> Freaky, someone just posted an implementation to qemu-devel:
> 
> http://lists.gnu.org/archive/html/qemu-devel/2009-05/msg01277.html  

FYI I have patched this into qemu-0.10.4-5.fc11 for testing and it seems to be working fine. The vga option is now correctly changing the mode.

Daire
Comment 8 Fedora Admin XMLRPC Client 2010-03-09 11:54:30 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Fedora Admin XMLRPC Client 2010-03-09 12:20:11 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Bug Zapper 2010-03-15 08:37:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2011-06-02 14:04:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 10:12:44 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.